aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Bernoulli <jonas@bernoul.li>2020-07-27 17:25:03 +0200
committerDavid Bremner <david@tethera.net>2020-07-28 08:40:30 -0300
commit8b162b40f84e891afa340b72c50b98f62ae57106 (patch)
tree2155ef197b9174859c4622300a3a1704d8fa6642
parent7b752e9eb479426fdf87ab10ca64fd057ee88252 (diff)
test: Explicitly state that we want to sign with sender
Since Emacs 27 'mml-secure-epg-sign' errors out if we don't opt-in to signing as the sender using 'mml-secure-openpgp-sign-with-sender'.
-rw-r--r--test/test-lib.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 8c331b88..31c858d1 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -414,7 +414,9 @@ emacs_fcc_message ()
(message-goto-body)
(insert \"${body}\")
$*
- (notmuch-mua-send-and-exit))" || return 1
+ (let ((mml-secure-smime-sign-with-sender t)
+ (mml-secure-openpgp-sign-with-sender t))
+ (notmuch-mua-send-and-exit)))" || return 1
notmuch new $nmn_args >/dev/null
}